Accept Invitation Redirect
curl --request GET \
--url https://api.example.com/api/organizations/members/invite/acceptimport requests
url = "https://api.example.com/api/organizations/members/invite/accept"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/organizations/members/invite/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Accept Invitation Redirect
Redirect invitation acceptance to frontend.
This endpoint is accessed via the link in the invitation email. It always redirects to the home page with the invitation token, allowing the frontend to handle the acceptance flow via a modal.
This approach works with SameSite=‘strict’ cookies because:
- Cross-site navigation (clicking email link) doesn’t send cookies
- But same-origin POST requests (from frontend) DO send cookies
Args: token: The invitation token from the email link request: FastAPI request
Returns: RedirectResponse: Redirect to home page with invitation_token query param
GET
/
api
/
organizations
/
members
/
invite
/
accept
Accept Invitation Redirect
Query Parameters
Response
Successful Response
Was this page helpful?

